#
# spec file for package freshplayerplugin
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _libname libfreshwrapper-pepperflash

Name:           freshplayerplugin
Version:        0.2.0
Release:        1.1
Summary:        PPAPI-host NPAPI-plugin adapter
License:        MIT
Group:          System/Libraries
Url:            https://github.com/i-rinat/freshplayerplugin
Source:         https://github.com/i-rinat/freshplayerplugin/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(libevent_pthreads)
BuildRequires:  pkgconfig(liburiparser)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(pangoft2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xinerama)
ExclusiveArch:  %{ix86} x86_64
Requires:       chromium-pepper-flash
Provides:       flash-player

%description
The main goal of this project is to get PPAPI (Pepper) Flash player working in Firefox.
This wrapper implements some kind of adapter which will look like browser to PPAPI plugin
and look like NPAPI plugin for browser.

%prep
%setup -q
sed -i 's|^pepperflash_path = .*|pepperflash_path = "%{_libdir}/chromium/PepperFlash/libpepflashplayer.so"|' data/freshwrapper.conf.example

%build
cmake . \
  -DCMAKE_BUILD_TYPE=Release         \
  -DCMAKE_C_FLAGS='%{optflags}'      \
  -DCMAKE_CXX_FLAGS='%{optflags}'
make %{?_smp_mflags}

%install
install -Dm 0644 %{_libname}.so %{buildroot}%{_libdir}/browser-plugins/%{_libname}.so
install -Dm 0664 data/freshwrapper.conf.example %{buildroot}%{_sysconfdir}/freshwrapper.conf

%files
%defattr(-,root,root)
%doc COPYING LICENSE.MIT README.md
%{_libdir}/browser-plugins/%{_libname}.so
%config %{_sysconfdir}/freshwrapper.conf

%changelog
* Sat Sep  6 2014 dmitry_r@opensuse.org
- Update to version 0.2
  * no changelog available
* Sun May 18 2014 sor.alexei@meowr.ru
- Initial package.
